Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.id.v1
Enum IDINSURANCEschemes

    java.lang.Object
      java.lang.Enum<IDINSURANCEschemes>
          be.fgov.ehealth.standards.kmehr.mycarenet.id.v1.IDINSURANCEschemes

All Implemented Interfaces:
  Serializable, Comparable<IDINSURANCEschemes>

    public enum IDINSURANCEschemes

extends Enum<IDINSURANCEschemes>

Java class for ID-INSURANCEschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ID-INSURANCEschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ID-INSURANCE"/>
         <enumeration value="LOCAL"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ID_INSURANCE`
`LOCAL`

Method Summary
`static IDINSURANCEschemes` | `fromValue(String v)`
`String` | `value()`
`static IDINSURANCEschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IDINSURANCEschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ID_INSURANCE

    public static final IDINSURANCEschemes ID_INSURANCE

### LOCAL

    public static final IDINSURANCEschemes LOCAL

Method Detail

### values

    public static IDINSURANCEschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IDINSURANCEschemes c : IDINSURANCEschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IDINSURANCEschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static IDINSURANCEschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPHYSICIAN 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.